package bz.bronze.painter;

import java.awt.Color;
import java.awt.Graphics;

import java.util.Random;

public class Context {
	static int rectSize = 100;
	
	static Random rng = new Random();
	
	public static void drawBorders(Graphics g)
	{
		g.drawLine(0, 0, 0, Window.height + 10);
		
		Log.print("hit");
		
		//g.dispose();
	}
	
	public static void draw(Graphics g, int x, int y)
	{	
		int size = Window.sizeSlider.getValue();
		Color c = new Color(rng.nextInt(256), rng.nextInt(256), rng.nextInt(256), Window.opacitySlider.getValue());
		
		g.setColor(c);
		
		g.fillOval(x - size / 2, y - size / 2, size, size);
		
		g.dispose();
				
		Log.print("[PAINTER] Drawn at, " + "X: " + x + " Y: " + y);
		Log.print("[PAINTER] Color, "  + "R: "  + c.getRed() + " G: " + c.getGreen() + " B: " + c.getBlue());
		Log.print("[PAINTER] Opacity, " + Window.opacitySlider.getValue());
	}
}